@font-face {
    font-family: "IceCream";
    src: url("../fonts/IceCream.otf")
        format("opentype");
    font-weight: normal;
    font-style: normal;
}

body {
    font-family: "Poppins", sans-serif;
    background: #eef3f9;
    color: #eef3f9;
    height: 100vh;
    margin: 0;
    transition: 0.3s ease;
}
#background-home{
    background-image: url('../images/fondo_1b.webp');
    background-position: center;
    background-size: cover;
    text-shadow: 2px 2px 2px black;
}
a {
    text-decoration: none;
}
#title_home {
    font-family: "IceCream";
    font-size: 4rem;
    font-weight: 600;
}
.row_main {
    align-items: center;
    display: flex;
}

/* CONTENEDOR PRINCIPAL */
.carousel {
    position: relative;
    width: 100%;
    height: 75vh;
    overflow: hidden;
    perspective: 1000px;
}

.carousel-track {
    position: relative;
    width: 100%;
    height: 50vh;
}

/* TARJETAS */
.product {
    position: absolute;
    top: 50%;
    left: 33%;
    width: 320px;
    height: 250px;
    transform: translate(-50%, -50%) scale(0.8);
    opacity: 0;
    filter: blur(6px);
    transition:
        transform 1s ease,
        opacity 1s ease,
        filter 1s ease;
}

.product img {
    width: 100%;
    height: auto;
    border-radius: 12px;
    filter: drop-shadow(0 10px 25px rgba(0, 0, 0, 0.25));
    object-fit: contain;
}

.product h3 {
    color: #fafafa;
    text-align: center;
}


/* ANIMACIÓN DE SALIDA HACIA ABAJO */
.product.exit-down {
    animation: exitDown 0.5s ease forwards;
}
footer {
    position: relative;
    bottom: 0;
    width: 100%;
    color: white;
}

footer a:hover {
    opacity: 0.7;
    transition: 0.3s;
}


/* BOTONES */
.controls {
    position: relative;
    width: fit-content;
    display: flex;
    justify-content: space-between;
    margin: right;
    z-index: 9;
}

.controls button {
    background: rgba(0, 0, 0, 0.8);
    color: white;
    box-shadow: 2px 2px 10px black;
    border: none;
    font-size: 28px;
    border-radius: 50%;
    padding: 6px 20px;
    cursor: pointer;
    transition: 0.3s;
    margin: 0 1rem 0 0;
}

.controls button:hover {
    background: rgba(0, 0, 0, 0.9);
}
.div_text_header {
    margin-left: 10%;
    position: absolute;
}
.link_slide {
    height: auto;
    display: flex;
    text-align: center;
}
.link_slide > h3 {
    margin: auto;
}
.navbar-brand{
    color:white;
    padding: 0.15rem;
    border:1px solid white;
    border-radius: 5px;
}
.navbar-brand:hover{
    background-color: white;
     color:black;
}
.home-link{
    margin: 0.5rem;
    color:white;
    padding: 0.25rem;
}
.navbar-toggler{
    color:white;
}
.navbar {
    --bs-navbar-padding-x: 0;
    --bs-navbar-padding-y: 0.5rem;
    --bs-navbar-color: rgb(255 255 255 / 65%);
    --bs-navbar-hover-color: rgba(var(--bs-emphasis-color-rgb), 0.8);
    --bs-navbar-disabled-color: rgba(var(--bs-emphasis-color-rgb), 0.3);
    --bs-navbar-active-color: rgb(245 245 245);
    --bs-navbar-brand-padding-y: 0.3125rem;
    --bs-navbar-brand-margin-end: 1rem;
    --bs-navbar-brand-font-size: 1.25rem;
    --bs-navbar-brand-color: rgb(255 255 255);
    --bs-navbar-brand-hover-color: rgb(255 255 255);
    --bs-navbar-nav-link-padding-x: 0.5rem;
    --bs-navbar-toggler-padding-y: 0.25rem;
    --bs-navbar-toggler-padding-x: 0.75rem;
    --bs-navbar-toggler-font-size: 1.25rem;
    --bs-navbar-toggler-icon-bg: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3e%3cpath stroke='white' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e");
    --bs-navbar-toggler-border-color: rgb(255 255 255);
    --bs-navbar-toggler-border-radius: var(--bs-border-radius);
    --bs-navbar-toggler-focus-width: 0.25rem;
    --bs-navbar-toggler-transition: box-shadow 0.15s ease-in-out;
    position: relative;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: space-between;
    padding: var(--bs-navbar-padding-y) var(--bs-navbar-padding-x);
}
.navbar-collapse {
    text-align: center;
}
.navbar-collapse .nav-item{
    margin-bottom: 1rem;
    font-size: 20px;
}
/* PRODUCTO ACTIVO EN EL CENTRO */
.product.active {
    transform: translate(-50%, -50%) scale(1.2);
    opacity: 1;
    filter: blur(0);
    z-index: 3;
}

/* SIGUIENTE PRODUCTO */
.product.next {
    transform: translate(40%, -60%) scale(0.6);
    opacity: 0.7;
    filter: blur(5px);
    z-index: 2;
}

/* SIGUIENTE DEL SIGUIENTE */
.product.next2 {
    transform: translate(85%, -60%) scale(0.4);
    opacity: 0.5;
    filter: blur(7px);
    z-index: 1;
}

@keyframes exitDown {
    0% {
        transform: translate(-50%, -50%) scale(1.10);
        opacity: 1;
        filter: blur(0);
    }
    100% {
        transform: translate(-95%, -10%) rotate(20deg) scale(0.9);
        opacity: 0;
        filter: blur(6px);
    }
}

@media (max-width: 768px) {
    .div_text_header {
        position: relative;
        margin-left: unset;
        padding: 2rem;
    }
    .carousel {
        height: 55vh;
    }
    .carousel-track {
        height: 35vh;
    }
    #title_home {
        font-size: 2.5rem;
        font-weight: 600;
        text-align: center;
    }
    .product {
        top: 50%;
        left: 50%;
    }
    .product.active {
        transform: translate(-50%, -50%) scale(1.10);
    }
    .subtitle_slide{
      text-align: justify;
    }
}
